Create Another Map (was Sandstorm changes grain origin, creating CORS violations (was Create
Another Map))

04/09/2020 05:21 PM - Jay Gischer

Status: Closed Start date: 04/09/2020
Priority: Normal Due date:

Assignee: Joanna Winter % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 9.00 hours
Description

As discussed in Weds meeting, create a map using the app at Mansia.net so you can give us feedback on UI/UX. Also take note of
roughly how much time it takes.

History

#1 - 04/15/2020 10:20 PM - Jay Gischer

- Subject changed from Create another map to Sandstorm changes grain origin, creating CORS violations (was Create Another Map)
- Status changed from New to In Progress

- Assignee changed from Joanna Winter to Jay Gischer

- Priority changed from Normal to High

Ok, so you found a good one. First of all, the instance on Mansia didn't really update properly. Once | killed it and started the new code, | reproduced
the problem. I'm getting 403 (Unauthorized) on all images because, at some point, Sandstorm is switching the grain id (they warned me that it was
ephemeral!) and this makes the image references a security violation. I'm sure there's a way around this, just have to figure it out.

Reassigning to me until | fix this.

#2 - 04/16/2020 11:26 PM - Jay Gischer

- Subject changed from Sandstorm changes grain origin, creating CORS violations (was Create Another Map) to Create Another Map (was Sandstorm
changes grain origin, creating CORS violations (was Create Another Map))

- Assignee changed from Jay Gischer to Joanna Winter

- Priority changed from High to Normal

Ok, | have found and fixed this problem, and I'm reassigning it back to Joanna. So she can once more try to create a map.

The problem was a CORS violation (403) that happens when the "ephemeral host name" that sandstorm contrives changes. |didn't track it correctly,
and when it changed, the browser says, "hey, that content comes from a different host than this webpage comes from and that's insecure!" Which is

legit.

But the way | found around this issue is not by being even more careful to track the ephemeral hostname, but by eliminating the host/protocol prefix
altogether, which has always been a legitimate form of reference. Sigh. I've had the answer all the time.

#3 - 04/21/2020 08:04 PM - Joanna Winter

Ok, time spent log double posted. Hit some button wrong.

#4 - 10/14/2022 07:26 PM - Administrator Administrator

- Status changed from In Progress to Closed

Joanna has successfully created another map.
